CMSIS-NN: Data Fields

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- o
- p
- r
- s
- w

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- activation : cmsis_nn_conv_params , cmsis_nn_dw_conv_params , cmsis_nn_fc_params , cmsis_nn_pool_params

### - b -

- buf : cmsis_nn_context
- bytes : arm_nnword

### - c -

- c : cmsis_nn_dims
- ch_mult : cmsis_nn_dw_conv_params

### - d -

- dilation : cmsis_nn_conv_params , cmsis_nn_dw_conv_params

### - e -

- exp_lut : cmsis_nn_softmax_lut_s16

### - f -

- filter_offset : cmsis_nn_fc_params

### - h -

- h : cmsis_nn_dims , cmsis_nn_tile
- half_words : arm_nnword
- high : arm_nn_double

### - i -

- input_activation : cmsis_nn_svdf_params
- input_offset : cmsis_nn_conv_params , cmsis_nn_dw_conv_params , cmsis_nn_fc_params , cmsis_nn_svdf_params

### - l -

- long_long : arm_nn_long_long
- low : arm_nn_double

### - m -

- max : cmsis_nn_activation
- min : cmsis_nn_activation
- multiplier : cmsis_nn_per_channel_quant_params , cmsis_nn_per_tensor_quant_params

### - n -

- n : cmsis_nn_dims

### - o -

- one_by_one_lut : cmsis_nn_softmax_lut_s16
- output_activation : cmsis_nn_svdf_params
- output_offset : cmsis_nn_conv_params , cmsis_nn_dw_conv_params , cmsis_nn_fc_params , cmsis_nn_svdf_params

### - p -

- padding : cmsis_nn_conv_params , cmsis_nn_dw_conv_params , cmsis_nn_pool_params

### - r -

- rank : cmsis_nn_svdf_params

### - s -

- shift : cmsis_nn_per_channel_quant_params , cmsis_nn_per_tensor_quant_params
- size : cmsis_nn_context
- stride : cmsis_nn_conv_params , cmsis_nn_dw_conv_params , cmsis_nn_pool_params

### - w -

- w : cmsis_nn_dims , cmsis_nn_tile
- word : arm_nn_long_long , arm_nnword